## org.hibernate.ejb.event
Class Callback

    java.lang.Object
      org.hibernate.ejb.event.Callback

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BeanCallback, ListenerCallback

    public abstract class Callback

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected Method` `callbackMethod`

Constructor Summary
`Callback(Method callbackMethod)`

Method Summary
`Method` `getCallbackMethod()`
`abstract void` `invoke(Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callbackMethod

    protected transient Method callbackMethod

Constructor Detail

### Callback

    public Callback(Method callbackMethod)

Method Detail

### getCallbackMethod

    public Method getCallbackMethod()

### invoke

    public abstract void invoke(Object bean)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.